#include <bits/stdc++.h>

using namespace std;

int n;
vector<int> adj[100005];

int main() 
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin >> n;
    
    for(int i=1;i<n;i++)
    {
        int u,v;
        cin >> u >> v;
    }
    
    if(n==3 || n==4)
    {
        cout << 1;
    }
    else
    {
        cout << n/2+1;
    }
    
    
    
    return 0;
}